Bug 1429196 - International fonts function broken in packaged blender 2.78b
Summary: International fonts function broken in packaged blender 2.78b
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-05 14:56 UTC by Cheng-Chia Tseng
Modified: 2017-03-23 18:21 UTC (History)
9 users (show)

Fixed In Version: blender-2.78c-2.fc24 blender-2.78c-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 17:20:54 UTC
Type: Bug


Attachments (Terms of Use)
Epty list of supported language (90.65 KB, image/png)
2017-03-05 14:56 UTC, Cheng-Chia Tseng
no flags Details
translated UI displayed characters as squares in zh_TW locale (50.52 KB, image/png)
2017-03-05 14:57 UTC, Cheng-Chia Tseng
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1382428 0 unspecified CLOSED International font function broken in packaged blender 2.7 2021-02-22 00:41:40 UTC

Internal Links: 1382428

Description Cheng-Chia Tseng 2017-03-05 14:56:06 UTC
Created attachment 1260072 [details]
Epty list of supported language

Description of problem:

Blender supports internationalization since 2.6. 
I have downloaded official blender package myself, and the internationalization works well. I can change to "Traditional Chinese" language via checking "International Fonts" option in "File > User Preferences > System" dialogue, and then check "Interface" and "Tooltips" for my native language.

However, the version distributed by Fedora cannot take this advantage of blender again. (It happened with 2.77 before)

Version-Release number of selected component (if applicable):
2.78b

How reproducible:
always

Steps to Reproduce:
1. launch blender
2. check "International Font" option in System tab of File > User Preferences dialogue
3. there is no supported language listed. If you are in zh_TW locale, after clicking "Interface" button for translation, you will see characters as in squares which means blender cannot load the right glyph

Actual results:
You don't see a list of supported languages. And the UI does not load the right glyph for translations in zh_TW locale

Expected results:
The internationalization work of blender should work fine out of box as the official one.



Additional info:

Comment 1 Cheng-Chia Tseng 2017-03-05 14:57:35 UTC
Created attachment 1260073 [details]
translated UI displayed characters as squares in zh_TW locale

Comment 2 Luya Tshimbalanga 2017-03-07 04:10:05 UTC
Simone, could you check the way to restore the international fonts function support please?

Comment 3 Luya Tshimbalanga 2017-03-14 10:58:25 UTC
(In reply to Cheng-Chia Tseng from comment #0)
> 3. there is no supported language listed. If you are in zh_TW locale, after
> clicking "Interface" button for translation, you will see characters as in
> squares which means blender cannot load the right glyph

A new patch was set to use system locale rather than the default directory from Blender. Currently the list of languages is broken.
However, the characters for international fonts support are restored using 
Meanwhile, could you test this version please? 
https://koji.fedoraproject.org/koji/taskinfo?taskID=18369979

The right glyph for translation in zh_TW local should display properly on Blender interface.

Comment 4 Cheng-Chia Tseng 2017-03-14 15:37:16 UTC
Yeah, the right glyph for zh_TW locale displayed fine in that version. :)

Comment 5 Fedora Update System 2017-03-15 01:30:08 UTC
LuxRender-1.6-11.fc25 YafaRay-3.2.0-0.6.20170221git.fc25 blender-2.78c-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 6 Fedora Update System 2017-03-15 01:30:19 UTC
LuxRender-1.6-11.fc25 YafaRay-3.2.0-0.6.20170221git.fc25 blender-2.78c-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 7 Fedora Update System 2017-03-15 01:31:40 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 8 Fedora Update System 2017-03-15 01:31:47 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 9 Fedora Update System 2017-03-15 19:55:38 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 10 Fedora Update System 2017-03-15 19:57:27 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 11 Fedora Update System 2017-03-23 17:20:54 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-03-23 18:21:21 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.